diff --git a/cnab/helm/charts/promtail/templates/daemonset.yaml b/cnab/helm/charts/promtail/templates/daemonset.yaml
index 2a22e15..c7726f4 100644
--- a/cnab/helm/charts/promtail/templates/daemonset.yaml
+++ b/cnab/helm/charts/promtail/templates/daemonset.yaml
@@ -54,7 +54,7 @@ spec:
       {{- end }}
       containers:
         - name: promtail
-          image: "{{ .Values.image.repository }}:{{ .Values.image.tag }}"
+          image: "{{ .Values.image.repository }}@{{ .Values.image.digest }}"
           imagePullPolicy: {{ .Values.image.pullPolicy }}
           args:
             - "-config.file=/etc/promtail/promtail.yaml"
